{{ define "header"}}
    <div class="top-bar">
        <a class="back-btn icon" onclick="history.back()">
            <svg>
                <use xlink:href="assets/img/solid.svg#chevron-left"></use>
            </svg>
        </a>
        <div class="title">{{.Show.Name}}</div>
    </div>
{{end}}

{{ define "content"}}
    <div class="show-edit">
        <div class="info">
            <img class="banner" src="{{.Show.Banner}}">
            <p class="overview">{{.Show.Overview}}</p>
        </div>

        <form id="show-delete" action="shows/{{.Show.Id}}/delete" method="post" hidden></form>
        <form id="show-edit" action="shows/{{.Show.Id}}" method="post">
            <div class="control">
                <label>Name</label>
                <input type="text" name="name" value="{{.Show.Name}}">
            </div>
            <div class="control">
                <label>Search-Name</label>
                <input type="text" name="searchName" value="{{.Show.SearchName}}">
            </div>
            <div class="control">
                <label>Folder</label>
                <input type="text" name="folder" value="{{.Show.Folder}}">
            </div>
        </form>

        <div class="buttons">
            <button class="btn" type="submit" form="show-delete">Delete</button>
            <button class="btn primary" type="submit" form="show-edit">Save</button>
        </div>

        {{ $show := .Show }}
        <div class="episodes">
            {{ range .Episodes }}
                <div class="show card card-1" onclick="window.location.href = 'search?q={{$show.Name}} s{{printf "%02d" .SeasonNumber}} e{{printf "%02d" .EpisodeNumber}}'">
                    <div class="still"><img alt="episode-image" src="{{.Still}}"/></div>
                    <div class="info">
                        <div>
                            S{{printf "%02d" .SeasonNumber}} E{{printf "%02d" .EpisodeNumber}} -
                            {{ .Name }}
                            ({{ .FirstAired.Format "02.01.2006" }})
                        </div>
                        <p class="overview">{{ .Overview }}</p>
                    </div>
                </div>
            {{end}}
            {{if not .}}
                <div class="not-found">No episodes yet 😥</div>
            {{end}}
        </div>

    </div>
{{end}}